### Method

# RB RhythmDB propid_from_nice_elt_name

#### Declaration [src]

    int
    rhythmdb_propid_from_nice_elt_name (
      RhythmDB* db,
      const xmlChar* name
    )

#### Description [src]

Converts a property name returned by `rhythmdb_propid_from_nice_elt_name` back to a `RhythmDBPropType`. If the name does not match a property ID, -1 will be returned instead.

#### Parameters

`name`

  Type: `xmlChar`

  A property ID name.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

A `RhythmDBPropType`, or -1.